logo
Campaign LeadsUpdate campaign lead
Campaign Leads

Update campaign lead

Update a campaign lead's status or tags. Status can only be changed to "active" or "paused".

curl -X PATCH "https://api.sendkit.ai/v1/campaigns/example_string/leads/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "status": "paused",
  "tags": [
    "follow-up-later"
  ]
}'
{
  "success": true,
  "data": {
    "_id": "666a1b2c3d4e5f6a7b8c9d01",
    "campaignId": "665a1b2c3d4e5f6a7b8c9d0e",
    "status": "paused",
    "tags": [
      "follow-up-later"
    ],
    "currentSequenceStep": 1,
    "replied": false,
    "addedAt": "2025-06-15T09:00:00.000Z"
  }
}
PATCH
/v1/campaigns/{id}/leads/{leadId}
PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
path
leadIdstring
Required

Campaign lead record ID

Content-Typestring
Required

The media type of the request body

Options: application/json
statusstring

New status for the campaign lead

Options: active, paused
tagsarray

Replace tags on this campaign lead

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

idstring
Required

Resource ID

leadIdstring
Required

Campaign lead record ID

Body

application/json
statusstring

New status for the campaign lead

Allowed values:activepaused
tagsarray

Replace tags on this campaign lead

Responses

successboolean
dataobject